Class SectionLineStyleBuilder
Inheritance
SectionLineStyleBuilder
Assembly: NXOpen.dll
Syntax
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder instead.")]
public class SectionLineStyleBuilder : Builder, IMessageSink, IComponentBuilder
Constructors
SectionLineStyleBuilder()
Declaration
protected SectionLineStyleBuilder()
Properties
ArrowLength
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.ArrowLength instead.")]
public double ArrowLength { get; set; }
Property Value
ArrowheadAngle
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.ArrowheadAngle instead.")]
public double ArrowheadAngle { get; set; }
Property Value
ArrowheadLength
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.ArrowheadLength instead.")]
public double ArrowheadLength { get; set; }
Property Value
ArrowheadStyle
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.Style instead.")]
public SectionLineStyleBuilder.ArrowheadStyleType ArrowheadStyle { get; set; }
Property Value
BorderToArrowDistance
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.BorderToArrowDistance instead.")]
public double BorderToArrowDistance { get; set; }
Property Value
CreateSectionLine
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.ShowSectionLine instead.")]
public SectionLineStyleBuilder.CreateSectionLineType CreateSectionLine { get; set; }
Property Value
DisplayJisrotationLetter
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.DisplayRotationLetter instead.")]
public bool DisplayJisrotationLetter { get; set; }
Property Value
DisplayLabel
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.Display instead.")]
public bool DisplayLabel { get; set; }
Property Value
Font
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LineColorFontWidth instead.")]
public SectionLineStyleBuilder.FontStyle Font { get; set; }
Property Value
LabelLocation
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LabelLocation instead.")]
public SectionLineStyleBuilder.LabelLocationStyle LabelLocation { get; set; }
Property Value
Letter
Declaration
[Obsolete("Deprecated in NX10.0.0. Use Drawings.ViewCommonViewLabelBuilder.Letter instead.")]
public string Letter { get; set; }
Property Value
LineLength
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LineLength instead.")]
public double LineLength { get; set; }
Property Value
Offset
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.UseOffset instead.")]
public double Offset { get; set; }
Property Value
SelectLetter
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.SelectRotationLetter instead.")]
public SelectTaggedObject SelectLetter { get; }
Property Value
Standard
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.TypeStandard instead.")]
public SectionLineStyleBuilder.StandardStyle Standard { get; set; }
Property Value
StubLength
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.Overhang instead.")]
public double StubLength { get; set; }
Property Value
UseOffset
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.UseOffset instead.")]
public bool UseOffset { get; set; }
Property Value
Width
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LineColorFontWidth instead.")]
public SectionLineStyleBuilder.WidthStyle Width { get; set; }
Property Value
Methods
GetColor()
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LineColorFontWidth instead.")]
public NXColor GetColor()
Returns
SetColor(NXColor)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Drawings.ViewSectionLineBuilder.LineColorFontWidth instead.")]
public void SetColor(NXColor color)
Parameters
Type |
Name |
Description |
NXColor |
color |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink